﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using XamSample.Models;

namespace XamSample.ViewModels
{
    public class VMProducts : INotifyPropertyChanged
    {
        private ObservableCollection<Products> _obProducts;
        public ObservableCollection<Products> obProducts
        {
            get => _obProducts;
            set { _obProducts = value; OnPropertyChanged(); }
        }

        private Products _selectedProduct;

        public Products selectedProduct
        {
            get => _selectedProduct;
            set {
                _selectedProduct = value;
                OnPropertyChanged();
            }
        }

        public VMProducts()
        {
            AddProducts();

        }

        public void AddProducts()
        {
            try
            {
                obProducts = new ObservableCollection<Products>();
                obProducts.Add(new Products
                {
                    productImage = "https://images-na.ssl-images-amazon.com/images/I/813y2%2BdPUOL._AC_SL1500_.jpg",
                    productName = "Samsung Note 20 5G Ultra",
                    productPrice = "$1099",
                    productCompany = "Samsung",
                    productRating = "4.5"
                });

                obProducts.Add(new Products
                {
                    productImage = "https://m.media-amazon.com/images/I/71sNNCTfMuL._FMwebp__.jpg",
                    productName = "Apple iPhone 12 mini",
                    productPrice = "$699",
                    productCompany = "Apple",
                    productRating = "4.6"
                });

                obProducts.Add(new Products
                {
                    productImage = "https://images-na.ssl-images-amazon.com/images/I/61v0enHOXpL._AC_SL1500_.jpg",
                    productName = "Google Pixel 2 64 GB",
                    productPrice = "$117",
                    productCompany = "Google",
                    productRating = "3.8"
                });

                obProducts.Add(new Products
                {
                    productImage = "https://images-na.ssl-images-amazon.com/images/I/71MHTD3uL4L._SL1500_.jpg",
                    productName = "iPhone 12 Pro Max",
                    productPrice = "$1200",
                    productCompany = "Apple",
                    productRating = "4.0"
                });

                obProducts.Add(new Products
                {
                    productImage = "https://images-na.ssl-images-amazon.com/images/I/71OYLm6srFL._SL1500_.jpg",
                    productName = "Samsung Galaxy S20 FE",
                    productPrice = "$600",
                    productCompany = "Samsung",
                    productRating = "4.1"
                });



                obProducts.Add(new Products
                {
                    productImage = "https://images-na.ssl-images-amazon.com/images/I/410mmBW-AYL._AC_.jpg",
                    productName = "OnePlus 8 Pro 5G",
                    productPrice = "$924",
                    productCompany = "OnePlus",
                    productRating = "4.7"
                });

                obProducts.Add(new Products
                {
                    productImage = "https://images-na.ssl-images-amazon.com/images/I/71valQo5u5L._AC_SL1500_.jpg",
                    productName = "Samsung Galaxy A01",
                    productPrice = "$121.76",
                    productCompany = "Samsung",
                    productRating = "4.1"
                });

                obProducts.Add(new Products
                {
                    productImage = "https://images-na.ssl-images-amazon.com/images/I/61sLvszoETL._AC_SL1500_.jpg",
                    productName = "Nokia 2.4 Android 10",
                    productPrice = "$1099",
                    productCompany = "Nokia",
                    productRating = "3.5"
                });
            }
            catch (Exception ex)
            {

            }
        }

        #region INotifyChangedProperties
        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged([CallerMemberName] string propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
        #endregion INotifyChangedProperties

    }
}
